package sun.font;

import java.awt.geom.GeneralPath;
import java.awt.geom.Rectangle2D;
import java.awt.Rectangle;
import java.awt.geom.Point2D;

public class NativeStrike extends PhysicalStrike
{
    NativeFont nativeFont;
    
    NativeStrike(NativeFont nativeFont, FontStrikeDesc fontStrikeDesc) {
        super(nativeFont, fontStrikeDesc);
        throw new RuntimeException("NativeFont not used on Windows");
    }
    
    NativeStrike(NativeFont nativeFont, FontStrikeDesc fontStrikeDesc, boolean b) {
        super(nativeFont, fontStrikeDesc);
        throw new RuntimeException("NativeFont not used on Windows");
    }
    
    @Override
    void getGlyphImagePtrs(int[] array, long[] array2, int n) {
    }
    
    @Override
    long getGlyphImagePtr(int n) {
        return 0L;
    }
    
    long getGlyphImagePtrNoCache(int n) {
        return 0L;
    }
    
    @Override
    void getGlyphImageBounds(int n, Point2D.Float float1, Rectangle rectangle) {
    }
    
    @Override
    Point2D.Float getGlyphMetrics(int n) {
        return null;
    }
    
    @Override
    float getGlyphAdvance(int n) {
        return 0.0f;
    }
    
    @Override
    Rectangle2D.Float getGlyphOutlineBounds(int n) {
        return null;
    }
    
    @Override
    GeneralPath getGlyphOutline(int n, float n2, float n3) {
        return null;
    }
    
    @Override
    GeneralPath getGlyphVectorOutline(int[] array, float n, float n2) {
        return null;
    }
}
